//
//  GSSVGtoPath.h
//  GlyphsCore
//
//  Created by Georg Seifert on 16.11.11.
//  Copyright 2011 schriftgestaltung.de. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <GlyphsCore/GSOutlineImporter.h>

@class GSPathPen;
@class GSLayer;

@interface GSSVGtoPath : NSObject <GSOutlineImporter>

@property NSRect bounds;

@property NSDictionary *styles;

- (void)setUpPen:(GSLayer *)layer scale:(CGFloat)scale offsetX:(CGFloat)offsetX offsetY:(CGFloat)offsetY;

- (BOOL)drawSVGNode:(NSXMLElement *)node error:(NSError **)error;

- (BOOL)drawPathString:(NSString *)pathString error:(NSError **)error;
@end
